<template>

    <div>
        <h2>Témoignages</h2>
        <div class="container-cards">
            <CardTemoignage v-for="temoignage in temoignages" :key="temoignage.id" :temoignage="temoignage"/>
        </div>
        <div class="com">
            <p>Comment cela s'est-il passé ? 😉</p>
            
            <div class="first">
                <p>Donner votre avis, cela me fera plaisir.</p>
                <router-link to = "/formTemoignage">
                    <img src="../assets/img/plume.png" alt="">
                </router-link>
            </div>

        </div>
    </div>
  
</template>

<script>
import CardTemoignage from "./CardTemoignage.vue"
import axios from "axios"

export default {
    name:"TemoignagePage",
    components:{
        CardTemoignage
    },
    data(){
        return{
            temoignages: null
        }
    },
    mounted(){
        console.log("oui")

        axios
        .get("/api_flask/random/temoignages")
        .then(response => this.temoignages = response.data)
    },

}
</script>

<style lang="scss" scoped>

@import "../style/default";


.container-cards{

    position: relative;

    display: flex;

    justify-content: space-around;

    width: 80%;

    margin-left: 10%;
    margin-right: 10%;

    margin-top: 3%;
    margin-bottom: 5%;

    &::before, &::after{
        position: absolute;

        font-size: 2em;

        top: 45%;
        width: 100px;

        cursor: pointer;

    }
}

.com{
    margin-bottom: 5%;

    .first{
        display: flex;

        justify-content: center;

        align-items: center;
        img{
            width: 30px;
            cursor: pointer;
        }
    }

}


</style>